﻿.error-page {
    display: flex;
    flex-direction: column;
    align-items: center;

    .error-card {
        border-radius: var(--radius-medium);
        border: 1px solid var(--color-border);
        background-color: var(--color-dark-grey);
        padding: var(--spacing-xl) var(--spacing-lg);
        height: fit-content;
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        gap: var(--spacing-lg);

        .error-card-content {
            display: flex;
            flex-direction: row;
            flex-wrap: nowrap;
            justify-content: flex-start;
            align-items: flex-start;
            gap: var(--spacing-lg);

            .error-container {
                display: flex;
                flex-direction: column;
                gap: var(--spacing-xs);

                .error-message {
                    color: var(--color-off-white);
                    font-size: small;
                }

                .error-description-list {
                    display: flex;
                    flex-direction: column;
                    margin-left: var(--spacing-sm);
                    list-style: disc;

                    .error-description-item {
                        color: var(--color-warm-grey);
                        font-weight: bold;
                        font-size: small;
                        display: list-item;
                        margin-left: var(--spacing-sm);
                    }
                }
            }
        }
    }
}
